Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class UserContext

    java.lang.Object
      org.jboss.portal.wsrp.core.UserContext

All Implemented Interfaces:
  java.io.Serializable

    public class UserContext

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected UserProfile` | `profile`
`protected java.lang.String[]` | `userCategories`
`protected java.lang.String` | `userContextKey`

Constructor Summary
`UserContext()`
`UserContext(java.lang.String userContextKey, java.lang.String[] userCategories, UserProfile profile, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`UserProfile` | `getProfile()`
`java.lang.String[]` | `getUserCategories()`
`java.lang.String` | `getUserContextKey()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setProfile(UserProfile profile)`
`void` | `setUserCategories(java.lang.String[] userCategories)`
`void` | `setUserContextKey(java.lang.String userContextKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userContextKey

    protected java.lang.String userContextKey

### userCategories

    protected java.lang.String[] userCategories

### profile

    protected UserProfile profile

### extensions

    protected Extension[] extensions

Constructor Detail

### UserContext

    public UserContext()

### UserContext

    public UserContext(java.lang.String userContextKey,
                       java.lang.String[] userCategories,
                       UserProfile profile,
                       Extension[] extensions)

Method Detail

### getUserContextKey

    public java.lang.String getUserContextKey()

### setUserContextKey

    public void setUserContextKey(java.lang.String userContextKey)

### getUserCategories

    public java.lang.String[] getUserCategories()

### setUserCategories

    public void setUserCategories(java.lang.String[] userCategories)

### getProfile

    public UserProfile getProfile()

### setProfile

    public void setProfile(UserProfile profile)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD